diff --git a/dirsrvtests/create_test.py b/dirsrvtests/create_test.py
index 3898279..882cf91 100755
--- a/dirsrvtests/create_test.py
+++ b/dirsrvtests/create_test.py
@@ -496,172 +427,195 @@ if len(sys.argv) > 0:
                                "defaultProperties[REPLICATION_BIND_METHOD],\n")
                     TEST.write("                  RA_TRANSPORT_PROT: " +
                                "defaultProperties[REPLICATION_TRANSPORT]}\n")
-                    TEST.write('    m' + str(master_idx) + '_c' + str(idx) +
-                               '_agmt = master' + str(master_idx) +
-                               '.agreement.create(suffix=SUFFIX, ' +
-                               'host=consumer' + str(idx) +
-                               '.host, port=consumer' + str(idx) +
+                    TEST.write('    h' + str(hub_idx) + '_c' + str(idx) +
+                               '_agmt = hub' + str(hub_idx) +
+                               '.agreement.create(suffix=SUFFIX, host=consumer' +
+                               str(idx) + '.host, port=consumer' + str(idx) +
                                '.port, properties=properties)\n')
-                    TEST.write('    if not m' + str(master_idx) + '_c' +
-                               str(idx) + '_agmt:\n')
+                    TEST.write('    if not h' + str(hub_idx) + '_c' + str(idx) +
+                               '_agmt:\n')
                     TEST.write('        log.fatal("Fail to create a hub -> ' +
                                'consumer replica agreement")\n')
                     TEST.write('        sys.exit(1)\n')
-                    TEST.write('    log.debug("%s created" % m' +
-                               str(master_idx) + '_c' + str(idx) +
-                               '_agmt)\n\n')
+                    TEST.write('    log.debug("%s created" % h' + str(hub_idx) +
+                               '_c' + str(idx) + '_agmt)\n')
                     agmt_count += 1
 
-        #
-        # Add sleep that allows all the agreemnts to get situated
-        #
-        TEST.write('    # Allow the replicas to get situated with the new ' +
-                   'agreements...\n')
-        TEST.write('    time.sleep(5)\n\n')
-
-        #
-        # Write the replication initializations
-        #
-        TEST.write('    #\n')
-        TEST.write('    # Initialize all the agreements\n')
-        TEST.write('    #\n')
-
-        # Masters
-        for idx in range(masters):
-            idx += 1
-            if idx == 1:
-                continue
-            TEST.write('    master1.agreement.init(SUFFIX, HOST_MASTER_' +
-                       str(idx) + ', PORT_MASTER_' + str(idx) + ')\n')
-            TEST.write('    master1.waitForReplInit(m1_m' + str(idx) +
-                       '_agmt)\n')
-
-        # Hubs
-        consumers_inited = False
-        for idx in range(hubs):
-            idx += 1
-            TEST.write('    master1.agreement.init(SUFFIX, HOST_HUB_' +
-                   str(idx) + ', PORT_HUB_' + str(idx) + ')\n')
-            TEST.write('    master1.waitForReplInit(m1_h' + str(idx) +
-                       '_agmt)\n')
-            for idx in range(consumers):
-                if consumers_inited:
-                    continue
+            # No Hubs, see if there are any consumers to create agreements to
+            if hubs == 0:
+
+                # Create agreements with the consumers (master -> consumer)
+                for idx in range(masters):
+                    master_idx = idx + 1
+
+                    for idx in range(consumers):
+                        idx += 1
+                        TEST.write('\n    # Creating agreement from master ' +
+                                   str(master_idx) + ' to consumer ' + str(idx) +
+                                   '\n')
+                        TEST.write("    properties = {RA_NAME: " +
+                                   "'meTo_' + consumer" + str(idx) +
+                                   ".host + ':' + str(consumer" + str(idx) +
+                                   ".port),\n")
+                        TEST.write("                  RA_BINDDN: " +
+                                   "defaultProperties[REPLICATION_BIND_DN],\n")
+                        TEST.write("                  RA_BINDPW: " +
+                                   "defaultProperties[REPLICATION_BIND_PW],\n")
+                        TEST.write("                  RA_METHOD: " +
+                                   "defaultProperties[REPLICATION_BIND_METHOD],\n")
+                        TEST.write("                  RA_TRANSPORT_PROT: " +
+                                   "defaultProperties[REPLICATION_TRANSPORT]}\n")
+                        TEST.write('    m' + str(master_idx) + '_c' + str(idx) +
+                                   '_agmt = master' + str(master_idx) +
+                                   '.agreement.create(suffix=SUFFIX, ' +
+                                   'host=consumer' + str(idx) +
+                                   '.host, port=consumer' + str(idx) +
+                                   '.port, properties=properties)\n')
+                        TEST.write('    if not m' + str(master_idx) + '_c' +
+                                   str(idx) + '_agmt:\n')
+                        TEST.write('        log.fatal("Fail to create a hub -> ' +
+                                   'consumer replica agreement")\n')
+                        TEST.write('        sys.exit(1)\n')
+                        TEST.write('    log.debug("%s created" % m' +
+                                   str(master_idx) + '_c' + str(idx) +
+                                   '_agmt)\n')
+                        agmt_count += 1
+
+            # Add sleep that allows all the agreements to get situated
+            TEST.write('\n    # Allow the replicas to get situated with the new ' +
+                       'agreements...\n')
+            TEST.write('    time.sleep(5)\n')
+
+            # Write the replication initializations
+            TEST.write('\n    # Initialize all the agreements\n')
+
+            # Masters
+            for idx in range(masters):
                 idx += 1
-                TEST.write('    hub1.agreement.init(SUFFIX, HOST_CONSUMER_' +
-                           str(idx) + ', PORT_CONSUMER_' + str(idx) + ')\n')
-                TEST.write('    hub1.waitForReplInit(h1_c' + str(idx) +
+                if idx == 1:
+                    continue
+                TEST.write('    master1.agreement.init(SUFFIX, HOST_MASTER_' +
+                           str(idx) + ', PORT_MASTER_' + str(idx) + ')\n')
+                TEST.write('    master1.waitForReplInit(m1_m' + str(idx) +
                            '_agmt)\n')
-            consumers_inited = True
 
-        # Consumers (master -> consumer)
-        if hubs == 0:
-            for idx in range(consumers):
+            # Hubs
+            consumers_inited = False
+            for idx in range(hubs):
                 idx += 1
-                TEST.write('    master1.agreement.init(SUFFIX, ' +
-                           'HOST_CONSUMER_' + str(idx) + ', PORT_CONSUMER_' +
-                           str(idx) + ')\n')
-                TEST.write('    master1.waitForReplInit(m1_c' + str(idx) +
+                TEST.write('    master1.agreement.init(SUFFIX, HOST_HUB_' +
+                       str(idx) + ', PORT_HUB_' + str(idx) + ')\n')
+                TEST.write('    master1.waitForReplInit(m1_h' + str(idx) +
                            '_agmt)\n')
+                for idx in range(consumers):
+                    if consumers_inited:
+                        continue
+                    idx += 1
+                    TEST.write('    hub1.agreement.init(SUFFIX, HOST_CONSUMER_' +
+                               str(idx) + ', PORT_CONSUMER_' + str(idx) + ')\n')
+                    TEST.write('    hub1.waitForReplInit(h1_c' + str(idx) +
+                               '_agmt)\n')
+                consumers_inited = True
+
+            # Consumers (master -> consumer)
+            if hubs == 0:
+                for idx in range(consumers):
+                    idx += 1
+                    TEST.write('    master1.agreement.init(SUFFIX, ' +
+                               'HOST_CONSUMER_' + str(idx) + ', PORT_CONSUMER_' +
+                               str(idx) + ')\n')
+                    TEST.write('    master1.waitForReplInit(m1_c' + str(idx) +
+                               '_agmt)\n')
 
-        TEST.write('\n')
-
-        #
-        # Write replicaton check
-        #
-        if agmt_count > 0:
-            # Find the lowest replica type (consumer -> master)
-            if consumers > 0:
-                replica = 'consumer1'
-            elif hubs > 0:
-                replica = 'hub1'
-            else:
-                replica = 'master2'
-            TEST.write('    # Check replication is working...\n')
-            TEST.write('    if master1.testReplication(DEFAULT_SUFFIX, ' +
-                       replica + '):\n')
-            TEST.write("        log.info('Replication is working.')\n")
-            TEST.write('    else:\n')
-            TEST.write("        log.fatal('Replication is not working.')\n")
-            TEST.write('        assert False\n')
             TEST.write('\n')
 
-        #
-        # Write the finals steps for replication
-        #
-        TEST.write('    # Clear out the tmp dir\n')
-        TEST.write('    master1.clearTmpDir(__file__)\n\n')
-        TEST.write('    return TopologyReplication(master1')
-        for idx in range(masters):
-            idx += 1
-            if idx == 1:
-                continue
-            TEST.write(', master' + str(idx))
-        for idx in range(hubs):
-            TEST.write(', hub' + str(idx + 1))
-        for idx in range(consumers):
-            TEST.write(', consumer' + str(idx + 1))
-        TEST.write(')\n')
-    else:
-        #
+            # Write replicaton check
+            if agmt_count > 0:
+                # Find the lowest replica type (consumer -> master)
+                if consumers > 0:
+                    replica = 'consumer1'
+                elif hubs > 0:
+                    replica = 'hub1'
+                else:
+                    replica = 'master2'
+                TEST.write('    # Check replication is working...\n')
+                TEST.write('    if master1.testReplication(DEFAULT_SUFFIX, ' +
+                           replica + '):\n')
+                TEST.write("        log.info('Replication is working.')\n")
+                TEST.write('    else:\n')
+                TEST.write("        log.fatal('Replication is not working.')\n")
+                TEST.write('        assert False\n')
+                TEST.write('\n')
+
+            # Write the finals steps for replication
+            TEST.write('    # Clear out the tmp dir\n')
+            TEST.write('    master1.clearTmpDir(__file__)\n\n')
+            TEST.write('    return TopologyReplication(master1')
+
+            for idx in range(masters):
+                idx += 1
+                if idx == 1:
+                    continue
+                TEST.write(', master' + str(idx))
+            for idx in range(hubs):
+                TEST.write(', hub' + str(idx + 1))
+            for idx in range(consumers):
+                TEST.write(', consumer' + str(idx + 1))
+            TEST.write(')\n\n')
+
         # Standalone servers
-        #
-
-        # Args for the standalone instance
-        TEST.write('    """Create DS Deployment"""\n\n')
-        for idx in range(instances):
-            idx += 1
-            if idx == 1:
-                idx = ''
-            else:
-                idx = str(idx)
-            TEST.write('    # Creating standalone instance ' + idx + '...\n')
-            TEST.write('    if DEBUGGING:\n')
-            TEST.write('        standalone' + idx +
-                       ' = DirSrv(verbose=True)\n')
-            TEST.write('    else:\n')
-            TEST.write('        standalone' + idx +
-                       ' = DirSrv(verbose=False)\n')
-            TEST.write('    args_instance[SER_HOST] = HOST_STANDALONE' +
-                       idx + '\n')
-            TEST.write('    args_instance[SER_PORT] = PORT_STANDALONE' +
-                       idx + '\n')
-            TEST.write('    args_instance[SER_SERVERID_PROP] = ' +
-                       'SERVERID_STANDALONE' + idx + '\n')
-            TEST.write('    args_instance[SER_CREATION_SUFFIX] = ' +
-                       'DEFAULT_SUFFIX\n')
-            TEST.write('    args_standalone' + idx + ' = args_instance.copy' +
-                       '()\n')
-            TEST.write('    standalone' + idx + '.allocate(args_standalone' +
-                       idx + ')\n')
-
-            # Get the status of the instance and restart it if it exists
-            TEST.write('    instance_standalone' + idx + ' = standalone' +
-                       idx + '.exists()\n')
-
-            # Remove the instance
-            TEST.write('    if instance_standalone' + idx + ':\n')
-            TEST.write('        standalone' + idx + '.delete()\n')
-
-            # Create and open the instance
-            TEST.write('    standalone' + idx + '.create()\n')
-            TEST.write('    standalone' + idx + '.open()\n\n')
-
-        writeFinalizer()
-
-        TEST.write('    return TopologyStandalone(standalone')
-        for idx in range(instances):
-            idx += 1
-            if idx == 1:
-                continue
-            TEST.write(', standalone' + str(idx))
-        TEST.write(')\n')
+        else:
+            TEST.write('    """Create DS Deployment"""\n')
+            for idx in range(instances):
+                idx += 1
+                if idx == 1:
+                    idx = ''
+                else:
+                    idx = str(idx)
+                TEST.write('\n    # Creating standalone instance ' + idx + '...\n')
+                TEST.write('    if DEBUGGING:\n')
+                TEST.write('        standalone' + idx +
+                           ' = DirSrv(verbose=True)\n')
+                TEST.write('    else:\n')
+                TEST.write('        standalone' + idx +
+                           ' = DirSrv(verbose=False)\n')
+                TEST.write('    args_instance[SER_HOST] = HOST_STANDALONE' +
+                           idx + '\n')
+                TEST.write('    args_instance[SER_PORT] = PORT_STANDALONE' +
+                           idx + '\n')
+                TEST.write('    args_instance[SER_SERVERID_PROP] = ' +
+                           'SERVERID_STANDALONE' + idx + '\n')
+                TEST.write('    args_instance[SER_CREATION_SUFFIX] = ' +
+                           'DEFAULT_SUFFIX\n')
+                TEST.write('    args_standalone' + idx + ' = args_instance.copy' +
+                           '()\n')
+                TEST.write('    standalone' + idx + '.allocate(args_standalone' +
+                           idx + ')\n')
 
-    TEST.write('\n\n')
+                # Get the status of the instance and restart it if it exists
+                TEST.write('    instance_standalone' + idx + ' = standalone' +
+                           idx + '.exists()\n')
+
+                # Remove the instance
+                TEST.write('    if instance_standalone' + idx + ':\n')
+                TEST.write('        standalone' + idx + '.delete()\n')
+
+                # Create and open the instance
+                TEST.write('    standalone' + idx + '.create()\n')
+                TEST.write('    standalone' + idx + '.open()\n')
+
+            writeFinalizer()
+
+            TEST.write('    return TopologyStandalone(standalone')
+            for idx in range(instances):
+                idx += 1
+                if idx == 1:
+                    continue
+                TEST.write(', standalone' + str(idx))
+            TEST.write(')\n\n')
+    TEST.write('\n')
 
-    #
     # Write the test function
-    #
     if ticket:
         TEST.write('def test_ticket' + ticket + '(topology):\n')
         if repl_deployment:
@@ -678,33 +632,35 @@ if len(sys.argv) > 0:
             TEST.write('    Also, if you need any testcase initialization,\n')
             TEST.write('    please, write additional fixture for that' +
                        '(include finalizer).\n')
-        TEST.write('\n    """\n\n')
-
+        TEST.write('    """\n\n')
     else:
-        # Write the first initial empty test function
-        TEST.write('def test_' + suite + '(topology):\n')
+        TEST.write('def test_something(topology_XX):\n')
         TEST.write('    """Write a single test here...\n\n')
         TEST.write('    Also, if you need any test suite initialization,\n')
-        TEST.write('    please, write additional fixture for that(include ' +
-                   'finalizer).\n    """\n')
+        TEST.write('    please, write additional fixture for that(include finalizer).\n' +
+                   '    Topology for suites are predefined in suites/conftest.py.\n\n'
+                   '    Choose one of the options:\n'
+                   '    1) topology_st for standalone\n'
+                   '        topology.standalone\n'
+                   '    2) topology_m2 for two masters\n'
+                   '        topology.ms["master{1,2}"]\n'
+                   '        each master has agreements\n'
+                   '        topology.ms["master{1,2}_agmts"][m{1,2}_m{2,1}]\n'
+                   '    3) topology_m4 for four masters\n'
+                   '        the same as topology_m2 but has more masters and agreements\n'
+                   '    """\n\n')
 
     TEST.write('    if DEBUGGING:\n')
     TEST.write('        # Add debugging steps(if any)...\n')
-    TEST.write('        pass\n\n')
-    TEST.write("    log.info('Test PASSED')\n")
-    TEST.write('\n\n')
+    TEST.write('        pass\n\n\n')
 
-    #
     # Write the main function
-    #
     TEST.write("if __name__ == '__main__':\n")
     TEST.write('    # Run isolated\n')
     TEST.write('    # -s for DEBUG mode\n')
     TEST.write('    CURRENT_FILE = os.path.realpath(__file__)\n')
     TEST.write('    pytest.main("-s %s" % CURRENT_FILE)\n\n')
 
-    #
     # Done, close things up
-    #
     TEST.close()
     print('Created: ' + filename)
diff --git a/dirsrvtests/tests/suites/acctpolicy_plugin/accpol_test.py b/dirsrvtests/tests/suites/acctpolicy_plugin/accpol_test.py
index 22acc39..0944b91 100644
--- a/dirsrvtests/tests/suites/acctpolicy_plugin/accpol_test.py
+++ b/dirsrvtests/tests/suites/acctpolicy_plugin/accpol_test.py
@@ -6,7 +6,7 @@ import logging
 import pytest
 import ldif
 import ldap.modlist as modlist
-from ldif import LDIFParser,LDIFWriter
+from ldif import LDIFParser, LDIFWriter
 from lib389 import DirSrv, Entry, tools, tasks
 from lib389.tools import DirSrvTools
 from lib389._constants import *
@@ -14,9 +14,6 @@ from lib389.properties import *
 from lib389.tasks import *
 from lib389.utils import *
 
-logging.getLogger(__name__).setLevel(logging.DEBUG)
-log = logging.getLogger(__name__)
-
 LOCAL_CONFIG = 'cn=AccountPolicy1,ou=people,dc=example,dc=com'
 TEMPLT_COS = 'cn=TempltCoS,ou=people,dc=example,dc=com'
 DEFN_COS = 'cn=DefnCoS,ou=people,dc=example,dc=com'
@@ -32,79 +29,45 @@ USR_DN = 'uid={},{},{}'.format(USR_RDN, SUBTREE, SUFFIX)
 USER_PW = 'Secret1234'
 
 
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
 @pytest.fixture(scope="module")
-def topology(request):
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        log.info("Instance detected")
-    	standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    # Delete each instance in the end
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    # Clear out the tmp dir
-    standalone.clearTmpDir(__file__)
-
-    return TopologyStandalone(standalone)
-
-
-@pytest.fixture(scope="module")
-def accpolicy_local(topology):
+def accpolicy_local(topology_st):
     """Configure account policy plugin based
     on LDIF file and restart the server.
     """
 
     log.info('Enabling account policy plugin and restarting the server')
     try:
-    	topology.standalone.plugins.enable(name=PLUGIN_ACCT_POLICY)
-    	topology.standalone.modify_s(ACCPOL_DN, [(ldap.MOD_REPLACE, 'nsslapd-pluginarg0', CONFIG_DN)])
-    	topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'alwaysrecordlogin', 'yes')])
-    	topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'stateattrname', 'lastLoginTime')])
-    	topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'altstateattrname', 'createTimestamp')])
-    	topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'specattrname', 'acctPolicySubentry')])
-    	topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'limitattrname', 'accountInactivityLimit')])
+        topology_st.standalone.plugins.enable(name=PLUGIN_ACCT_POLICY)
+        topology_st.standalone.modify_s(ACCPOL_DN, [(ldap.MOD_REPLACE, 'nsslapd-pluginarg0', CONFIG_DN)])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'alwaysrecordlogin', 'yes')])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'stateattrname', 'lastLoginTime')])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'altstateattrname', 'createTimestamp')])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'specattrname', 'acctPolicySubentry')])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'limitattrname', 'accountInactivityLimit')])
     except ldap.LDAPError as e:
-	log.error("Failed to modify account policy plugin attrs attrs")
+        log.error("Failed to modify account policy plugin attrs attrs")
         raise
 
     log.info("Adding Local account policy plugin configuration entries")
     try:
-	topology.standalone.add_s(Entry((LOCAL_CONFIG, {
-                              'objectclass': ['top', 'ldapsubentry', 'extensibleObject', 'accountpolicy'],
-                              'accountInactivityLimit': '15'})))
-    	topology.standalone.add_s(Entry((TEMPLT_COS, {
-                              'objectclass': ['top', 'ldapsubentry', 'extensibleObject', 'cosTemplate'],
-                              'acctPolicySubentry': LOCAL_CONFIG})))
-    	topology.standalone.add_s(Entry((DEFN_COS, {
-                              'objectclass': ['top', 'ldapsubentry', 'cosSuperDefinition', 'cosPointerDefinition'],
-                              'cosTemplateDn': TEMPLT_COS,
-                              'cosAttribute': 'acctPolicySubentry default operational-default'})))
+        topology_st.standalone.add_s(Entry((LOCAL_CONFIG, {
+            'objectclass': ['top', 'ldapsubentry', 'extensibleObject', 'accountpolicy'],
+            'accountInactivityLimit': '15'})))
+        topology_st.standalone.add_s(Entry((TEMPLT_COS, {
+            'objectclass': ['top', 'ldapsubentry', 'extensibleObject', 'cosTemplate'],
+            'acctPolicySubentry': LOCAL_CONFIG})))
+        topology_st.standalone.add_s(Entry((DEFN_COS, {
+            'objectclass': ['top', 'ldapsubentry', 'cosSuperDefinition', 'cosPointerDefinition'],
+            'cosTemplateDn': TEMPLT_COS,
+            'cosAttribute': 'acctPolicySubentry default operational-default'})))
     except ldap.LDAPError as e:
-	log.error('Failed to add entry ({}, {}, {}):'.format(LOCAL_CONFIG, TEMPLT_COS, DEFN_COS))
-	raise
-    topology.standalone.restart(timeout=10)
+        log.error('Failed to add entry ({}, {}, {}):'.format(LOCAL_CONFIG, TEMPLT_COS, DEFN_COS))
+        raise
+    topology_st.standalone.restart(timeout=10)
 
 
 @pytest.fixture(scope="module")
-def users(topology, request):
+def users(topology_st, request):
     """Add users to the given SUFFIX and SUBTREE."""
 
     log.info('Adding {} {} users to {} SUBTREE {} SUFFIX'.format(NOF_USERS, USR_NAME, SUBTREE, SUFFIX))
@@ -112,32 +75,33 @@ def users(topology, request):
         USR_RDN = '{}{}'.format(USR_NAME, NUM)
         USR_DN = 'uid={},{},{}'.format(USR_RDN, SUBTREE, SUFFIX)
         try:
-            topology.standalone.add_s(Entry((USR_DN, {
-                                             'objectclass': 'top person'.split(),
-                                             'objectclass': 'inetorgperson',
-                                             'cn': USR_RDN,
-                                             'sn': USR_RDN,
-                                             'userpassword': 'Secret1234',
-                                             'mail': '{}@redhat.com'.format(USR_RDN)})))
+            topology_st.standalone.add_s(Entry((USR_DN, {
+                'objectclass': 'top person'.split(),
+                'objectclass': 'inetorgperson',
+                'cn': USR_RDN,
+                'sn': USR_RDN,
+                'userpassword': 'Secret1234',
+                'mail': '{}@redhat.com'.format(USR_RDN)})))
         except ldap.LDAPError as e:
             log.error('Failed to add {} user: error {}'.format(USR_DN, e.message['desc']))
             raise
 
     def fin():
-       log.info('Deleting {} {} users from {} {}'.format(NOF_USERS, USR_NAME, SUBTREE, SUFFIX))
-       topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-       for NUM in range(1, NOF_USERS):
-           USR_RDN = '{}{}'.format(USR_NAME, NUM)
-           USR_DN = 'uid={},{},{}'.format(USR_RDN, SUBTREE, SUFFIX)
-           try:
-               topology.standalone.delete_s(USR_DN)
-           except ldap.LDAPError as e:
-               log.error('Failed to delete {} :error- {}'.format(USR_DN, e.message['desc']))
-               raise
+        log.info('Deleting {} {} users from {} {}'.format(NOF_USERS, USR_NAME, SUBTREE, SUFFIX))
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        for NUM in range(1, NOF_USERS):
+            USR_RDN = '{}{}'.format(USR_NAME, NUM)
+            USR_DN = 'uid={},{},{}'.format(USR_RDN, SUBTREE, SUFFIX)
+            try:
+                topology_st.standalone.delete_s(USR_DN)
+            except ldap.LDAPError as e:
+                log.error('Failed to delete {} :error- {}'.format(USR_DN, e.message['desc']))
+                raise
+
     request.addfinalizer(fin)
 
 
-def test_inact_plugin(topology, accpolicy_local, users):
+def test_inact_plugin(topology_st, accpolicy_local, users):
     """Verify if user account is inactivated when accountInactivityLimit is exceeded. User is created in the default SUFFIX.
 
     :Feature: Account Policy Plugin
@@ -162,21 +126,21 @@ def test_inact_plugin(topology, accpolicy_local, users):
         USR_RDN = '{}{}'.format(USR_NAME, NUM)
         USR_DN = 'uid={},{},{}'.format(USR_RDN, SUBTREE, SUFFIX)
         try:
-    	    topology.standalone.simple_bind_s(USR_DN, USER_PW)
+            topology_st.standalone.simple_bind_s(USR_DN, USER_PW)
         except ldap.LDAPError as e:
             log.error('Checking if {} is inactivated: error {}'.format(USR_DN, e.message['desc']))
             raise
-	
+
     USR_DN = 'uid={}1,{},{}'.format(USR_NAME, SUBTREE, SUFFIX)
     log.info("Sleeping for 4 more secs to check if {} is inactivated, expected error 19".format(USR_DN))
     time.sleep(4)
     with pytest.raises(ldap.CONSTRAINT_VIOLATION) as e:
-     	topology.standalone.simple_bind_s(USR_DN, USER_PW)
+        topology_st.standalone.simple_bind_s(USR_DN, USER_PW)
 
     USR_DN = 'uid={}2,{},{}'.format(USR_NAME, SUBTREE, SUFFIX)
     log.info("Checking if {} is not inactivated, expected value 0".format(USR_DN))
     try:
-     	topology.standalone.simple_bind_s(USR_DN, USER_PW)
+        topology_st.standalone.simple_bind_s(USR_DN, USER_PW)
     except ldap.LDAPError as e:
         log.error('Checking if {} is inactivated : error {}'.format(USR_DN, e.message['desc']))
         raise
@@ -186,7 +150,7 @@ def test_inact_plugin(topology, accpolicy_local, users):
         USR_DN = 'uid={},{},{}'.format(USR_RDN, SUBTREE, SUFFIX)
         log.info("Checking if {} is inactivated, expected error 19".format(USR_DN))
         with pytest.raises(ldap.CONSTRAINT_VIOLATION) as e:
-            topology.standalone.simple_bind_s(USR_DN, USER_PW)
+            topology_st.standalone.simple_bind_s(USR_DN, USER_PW)
 
 
 if __name__ == '__main__':
